Update a Person¶
PUT https://api.copper.com/developer_api/v1/people/{{example_person_id}}
Updates are only applied to fields explicitly specified in the request body. For example, if an update request is made with an empty body, no updates will be made. To remove the value from a field, the request body must specify the target field value as 'null'.
Connect fields
If your integration reads a record and sends it back as an update, be careful with connect fields. They appear in custom_fields as [] on read, so sending that back deletes their connections. Send only the fields you're changing, and add or remove connections through the connect field endpoints. See Updating records that have connect fields.
The field company_id is returned in the JSON response, However, if you would like to unrelate and relate a new company_id, use the related items API call to delete and then add a new company_id to the person record. For more info, see Related Items folder.
Note that this endpoint is eligible to return computed custom field values, click here for more information.
Request Body¶
{
"details":"This is an update"
}
Example Requests¶
Person Update¶
curl --location --request PUT "https://api.copper.com/developer_api/v1/people/{{example_person_id}}" \
--header "X-PW-AccessToken: YOUR_TOKEN_HERE" \
--header "X-PW-Application: developer_api" \
--header "X-PW-UserEmail: YOUR_EMAIL_HERE" \
--header "Content-Type: application/json" \
--data "{
\"details\":\"This is an update\"
}"
{
"id": 26443553,
"name": "Person Default",
"prefix": null,
"first_name": "Person",
"middle_name": null,
"last_name": "Default",
"suffix": null,
"address": {
"street": "",
"city": "",
"state": "",
"postal_code": "",
"country": ""
},
"assignee_id": 137658,
"company_id": null,
"company_name": null,
"contact_type_id": 451490,
"details": "This is an update",
"emails": [],
"phone_numbers": [],
"socials": [],
"tags": [],
"title": null,
"websites": [],
"custom_fields": [
{
"custom_field_definition_id": 100764,
"value": null
},
{
"custom_field_definition_id": 103481,
"value": null
}
],
"date_created": 1489018908,
"date_modified": 1496699863,
"interaction_count": 0
}